Subject: bug#13286: save-place-to-alist could call abbreviate-file-name

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 18:04:11 +0200

Peter Eisentraut <[email-masked]> writes:

> This is a wishlist item that applies to all released Emacs versions and
> current Git master.
>
> I suggest that save-place-to-alist in lisp/saveplace.el be enabled to
> call abbreviate-file-name on the file names it writes out to the
> .emacs-places file.  That way, it is easier (or possible) to share this
> file across hosts, if for example the home directories are in a
> different place.
>
> Ideally, this could just be done all the time, but maybe there is a
> reason for this not to be done?  In that case, maybe a Boolean
> configuration variable or a filter function could be used.

I've now added this user option to Emacs 28 under the name
`save-place-abbreviate-file-names'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no